package com.dgtis.dorm.manager.db.dao;

import com.dgtis.dorm.manager.db.domain.NewsZan;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface NewsZanMapper {

    /**
     * 查询点赞列表
     */
    List<NewsZan> selectByExample(NewsZan newsZan);

    /**
     * 获取点赞数量
     */
    long countByExample(NewsZan newsZan);

    /**
     * 录入点赞信息
     */
    int insertSelective(NewsZan newsZan);

    /**
     * 删除点赞信息
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 删除点赞
     */
    int deleteByExample(NewsZan newszan);

    /**
     * 根据活动id删除点赞
     * @param newsId
     */
    int deleteByNewId(@Param("newsId") int newsId);
}
